<script setup lang="ts">
import { ref, onMounted } from 'vue'
import BillCostTable from './BillCostTable.vue'
import TypeBillCostTable from './TypeBillCostTable.vue'
import { useAuthStore } from '@/stores/auth'
import { usePermissionStore } from '@/stores/permission'
const tab = ref(1)
const authStore = useAuthStore()

const permissionStore = usePermissionStore()

onMounted(async () => {
  if (!permissionStore.isEmp()) {
    permissionStore.pushMember()
  }
})
</script>

<template>
  <v-sheet
    style="min-width: 300px; height: 100%; background-color: #212121; color: white"
    v-if="
      authStore.getCurrentUser()?.role === 'Manager' || authStore.getCurrentUser()?.role === 'Owner'
    "
  >
    <v-tabs v-model="tab" color="deep-orange-darken-4" align-tabs="center">
      <v-tab :value="1">BILL COST</v-tab>
      <v-tab :value="2">TYPE BILL COST</v-tab>
    </v-tabs>

    <v-window v-model="tab">
      <v-window-item :value="1">
        <BillCostTable></BillCostTable>
      </v-window-item>
      <v-window-item :value="2">
        <TypeBillCostTable></TypeBillCostTable>
      </v-window-item>
    </v-window>
  </v-sheet>
  <v-sheet
    style="min-width: 300px; height: 100%; background-color: #212121; color: white"
    v-if="authStore.getCurrentUser()?.role === 'Staff'"
  >
    <BillCostTable></BillCostTable>
  </v-sheet>
</template>
